Regenerate Consolidated E-Way Bill

This API is used to regenerate Consolidated E-Way bills. The details and parameters of the requests and responses are explained.

Validations

  • CEWB can be re-generated by the generator of that CEWB or the current transporter.
  • Re-generate CEWB considers only the e-way bills which are active, that is, not cancelled.
  • Re-generate CEWB considers only the e-way bills which are within the validity period, that is validity is not expired.
  • If vehicle number is passed, the format of the vehicle number should be valid and as per the format.
  • In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional.
  • In case of rail, air or ship as a transportation mode, the transport document number is must.

Important Links

Run in Postman

Body Params

“data” JSON (corresponds to the data element of Regeneration of Consolidated E-WAY BILL Request)

{
  "tripSheetNo": 1710001952,
  "vehicleNo": "PQR1234",
  "fromPlace":"Bengaluru",
  "fromState":29,
  "transDocNo": "1234",
  "transDocDate": "26/04/2018",
  "transMode": "1",
  "reasonCode":1,
  "reasonRem":"Flood"
}
string
required

Action type

string
required

Encrypted Regeneration of Consolidated E-Way Bill JSON string - Encrypt (Base64(Request JSON),sek)

Headers
string
required

GSTIN of Requester (Tax payer or Transporter)

string
required

Username of Tax payer

string
required

Authentication token returned by the E-way bill system

Responses

405

Method not allowed

500

Internal Server Error

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json